petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAGetElementsCorners

Returns the global (x,y,z) indices of the lower left corner of the non-overlapping decomposition identified by DMDAGetElements()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetElementsCorners(DM da, PetscInt *gx, PetscInt *gy, PetscInt *gz)

Not Collective

### Input Parameter

da -the DM object

### Output Parameters

| gx | - the x index
| gy | - the y index
| gz | - the z index

### Notes

### See Also

DMDAElementType, DMDASetElementType(), DMDAGetElements()

### Level

intermediate

### Location

src/dm/impls/da/dagetelem.c

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages